=== debian/changelog ===
welcome2l (3.04-28) unstable; urgency=medium

  * Build with debhelper v13.
  * Remove ancient preinst script (lintian).
  * Refresh 10_fix_ftbfs.patch with gbp pq import/export.
  * debian/control:
    + Fix lintian's 'odd-mark-in-description' tag;
    + Standards-Version: 4.5.0.

 -- Robert Luberda <robert@debian.org>  Sat, 15 Aug 2020 11:07:54 +0200

welcome2l (3.04-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957928)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 07 Aug 2020 18:02:07 +0100

welcome2l (3.04-27) unstable; urgency=medium

  * Switch to debhelper v11.
  * Enable all hardening flags.
  * Remove additional arguments from dh_installinit to avoid warning
    produced by update-rc.d during package installation.
  * debian/control:
    + switch priority of package to optional;
    + add `Rules-Requires-Root: no';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Aug 2018 10:22:39 +0200

welcome2l (3.04-26) unstable; urgency=low

  * Update 00_Makefile.patch to use LDFLAGS instead of CFLAGS for
    final linking.
  * Introduce 08_reproducible_builds.patch which uses the output
    of dpkg-parsechangelog to define COMPILE_{DATE,TIME,BY,HOST}
    variables to make builds reproducible.
  * Remove redirection of stdin/stdout from cron.daily, that caused
    failures if systemctl from systemd was used to manage init scripts.
    Instead introduce 09_login_notty.patch to print the `Login on' line
    when either `-getty' or `-gettps' is given, even if welcome2l is
    not running on terminal (closes: #739399).
  * debian/rules: enable LFS support (lintian).
  * debian/control: Switch to DEP-5 format.
  * Standards-Version: 3.9.6.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Jun 2015 08:26:11 +0200

welcome2l (3.04-25) unstable; urgency=low

  * Switch to debhelper v9 and tiny rules file.
  * debian/rules: Remove .pc/.dpkg-source-unapply file in configure
    target to fix broken behaviour of dpkg-buildpackage (see Bug#649521).
  * Refresh patches with gbp-pq import/export.
  * debian/control:
    + add VCS fields;
    + sort dependency fields with wrap-and-sort;
    + Standards-Version: 3.9.3 (no changes needed).

 -- Robert Luberda <robert@debian.org>  Sun, 26 Feb 2012 13:52:05 +0100

welcome2l (3.04-24) unstable; urgency=low

  * Switch to the `3.0 (quilt)' source format: split the previous Debian
    patch into patches 00 to 06.
  * 07_sprintf_ub.patch: Fix undefined behaviour bugs found by cppcheck.
    Hopefully this should fix crashes seen on Ubuntu (LP: #581505, #586216).
  * debian/init.d:
    + add Required-Start dependency for $remote_fs (lintian);
    + remove and run levels from Default-Stop, as the stop action does nothing;
    + use lsb logging functions.
  * debian/rules:
    + update debian/default at build time, use lsb_release for getting
      distributor info.
    + use dpkg-buildflags for getting CFLAGS/LDFLAGS;
    + call dh_auto_{configure,build,clean} commands;
    + provide build-{arch,indep} targets.
  * debian/preinst: replace ancient stuff with removal of stop scripts from rc0,
    rc1, and rc6.
  * Standards-Version: 3.9.1 (no changes).
  * Bump debhelper compat version to 8.
  * Replace suggestion on fonty to fonty-rg, update README.Debian for this.
  * Remove unneeded source.lintian-overrides, and use dh_lintian to install
    our overrides for binary package.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Feb 2011 13:05:16 +0100

welcome2l (3.04-23) unstable; urgency=low

  * Add hurd-i386 to supported archs (closes: 482842).
  * Applied patch from Chris Lamb to fix bashisms in preinst (closes: 480618).
  * Fix invalid comments in man page (lintian).

 -- Robert Luberda <robert@debian.org>  Mon, 26 May 2008 20:14:31 +0200

welcome2l (3.04-22) unstable; urgency=low

  * Standards-Version: 3.7.3 (no changes).
  * Fix hyphens in man page (lintian).
  * Add copyright notice (lintian).
  * Add source lintian overrides file for non-standard architecture warning.

 -- Robert Luberda <robert@debian.org>  Sat, 19 Apr 2008 13:33:01 +0200

welcome2l (3.04-21) unstable; urgency=low

  * sysvinit no longer provides invoke-rc.d, remove unnecessary dependency
    on it (patch from Ubuntu).
  * Handle missing invoke-rc.d in the cron.daily script.
  * Standards-Version: 3.7.2 (no changes).
  * Bump debhelper compat version to 6.
  * Add LSB section to init.d script (lintian).
  * Fix the `debian-rules-ignores-make-clean-error' lintian warning.
  * Add the `Homepage:' field to debian/control.
  * Add debian/watch file.

 -- Robert Luberda <robert@debian.org>  Wed, 17 Oct 2007 00:22:15 +0200

welcome2l (3.04-20) unstable; urgency=low

  * debian/control: add kfreebsd-amd64 to the list of supported architectures.
    (closes: #361630).
  * main.c: fix `pointer targets differ in signedness' compiler warning.
  * Standards-Version: 3.6.2 (no changes).
  * debian/*: use debhelper v5.

 -- Robert Luberda <robert@debian.org>  Thu, 13 Apr 2006 22:08:56 +0200

welcome2l (3.04-19) unstable; urgency=low

  * debian/control: add kfreebsd-i386 to the list of supported architectures.
    (closes: #314284).
  * Removed lintian source override file.

 -- Robert Luberda <robert@debian.org>  Thu, 16 Jun 2005 22:49:08 +0200

welcome2l (3.04-18) unstable; urgency=low

  * debian/control: add amd64 to the list of supported architectures.
    (closes: #249403)
  * Add lintian source override file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Sun, 23 May 2004 13:32:11 +0200

welcome2l (3.04-17) unstable; urgency=low

  * Read memory info from MemTotal line of /proc/meminfo, not from obsolete
    Mem line (closes: #230546).

 -- Robert Luberda <robert@debian.org>  Sun,  8 Feb 2004 20:01:07 +0100

welcome2l (3.04-16) unstable; urgency=low

  * main.c:
    + get memory information from /proc/meminfo. Previously it have been

