=== debian/control ===
Source: welcome2l
Maintainer: Robert Luberda <robert@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13), lsb-release
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.littleigloo.org/software_003.php3
Vcs-Git: https://salsa.debian.org/debian/welcome2l.git
Vcs-Browser: https://salsa.debian.org/debian/welcome2l/

Package: welcome2l
Architecture: alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: fonty-rg
Description: Linux ANSI boot logo
 This is a little program that may run at login time to produce nice
 ANSI login logo.
 .
 Welcome2L intends to produce  the best looking ANSI screens by making
 full usage of PC graphic characters.
 .
 Therefore an architecture able to display those characters (i386, Alpha with
 TGA adapter, ...) is required to use it.  And, even if it will work on larger
 screens, it will only produce 80 column ANSI screens.
