=== debian/rules ===
#!/usr/bin/make -f

DH_AUTO_OPTIONS         := -v -Smakefile --parallel
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CLAGS_MAINT_APPEND  := $(shell getconf LFS_CFLAGS) -Wall -Wextra
TDIR                    := debian/_tmp_
DEFFILE                 := debian/default

include /usr/share/dpkg/buildflags.mk

%:
	dh "$@"

$(DEFFILE): $(DEFFILE).in debian/rules
	@set -e; rm -f "$@";                     \
	distro="`lsb_release -is`" || :;         \
	echo "Setting $$distro in $@";           \
	sed -e "s/#DISTRO#/$${distro:-Debian}/g" \
	        < "$<" > "$@";                   \
	chmod 444 "$@"

override_dh_auto_build: $(DEFFILE)
	dh_auto_build $(DH_AUTO_OPTIONS) -- STRIP=:

override_dh_auto_install:
	dh_auto_install $(DH_AUTO_OPTIONS) --destdir=$(CURDIR)/debian/$(shell dh_listpackages)/usr -- \
	                STRIP=:         \
	                INSTALL_MANPATH='$$(DESTDIR)/share/man'
	
	@test -d $(TDIR) || mkdir $(TDIR)
	# make sure that INSTALL file wasn't changed
	echo '36cfee5f23009eb94f9fdd62ed767599  INSTALL' | md5sum -c
	@sed -e '14,140d' -e 's|/usr/local|/usr|g' < INSTALL > $(TDIR)/INSTALL

override_dh_auto_clean:
	dh_auto_clean $(DH_AUTO_OPTIONS)
	
	rm -rf $(TDIR) $(DEFFILE)
