=== debian/watch ===
# control file for the uscan(1) tool
version=3
http://www.littleigloo.org/downloads_003.php3 \
	(?:.*/)Welcome2L-([\d\.]+.*)\.src\.tar\.(?:gz|bz2)
