=== debian/changelog ===
welcome2l (3.05-2) unstable; urgency=low

  * Fix FTBFS on Ubuntu: replace 'set -- $(shell cmd)' in debian/rules with
    'set -- $$(cmd)' to fix a failure occurring when the command's output
    include parenthesis.

 -- Robert Luberda <robert@debian.org>  Sun, 21 Jan 2024 00:38:54 +0100

welcome2l (3.05-1) unstable; urgency=low

  * New upstream version from new vendor at
    https://github.com/voyageur/welcome2l.
  * Drop all the patches, except for 08_reproducible_builds.patch, that is now
    renamed to 01-reproducible-builds.patch.
  * Update init.d and defaults files for the changed options parser: welcome2l
    command no longer accepts for example -scr4 -msg"text", but requires passing
    them separately, i.e. -scr 4 -msg "text", instead.
  * Update debian/rules for new version.
  * Add 02-fix-typo.patch to a fix a typo in binary, spotted by lintian.
  * Add 03-fix-gcc13-warnings.patch to fix compiler warnings.
  * Update Homepage URL in debian/control.
  * Update generation of debian/default for more accurate distribution info
    string that is finally passed to -msg option of welcome2l.
  * Add debian/NEWS for the options parsing change.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jan 2024 00:42:27 +0100

welcome2l (3.04-29) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

  [ Robert Luberda ]
  * Update debian/watch to point to a forked project on github, as the
    original site no longer contains the package.
  * cron.daily: use 'command -v' instead of 'which'.
  * Sort package control files with 'wrap-and-sort' command.
  * debian/control:
    + Drop dependency on obsolete lsb-base package (lintian);
    + Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 15 Jan 2024 21:23:40 +0100
