=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13), lsb-release
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://www.littleigloo.org/software_003.php3
+Homepage: https://github.com/voyageur/welcome2l
 Vcs-Git: https://salsa.debian.org/debian/welcome2l.git
 Vcs-Browser: https://salsa.debian.org/debian/welcome2l/
 
 Package: welcome2l
-Architecture: alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Architecture: alpha amd64 hurd-amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: fonty-rg
 Description: Linux ANSI boot logo
