=== debian/watch ===
# control file for the uscan(1) tool
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/voyageur/@PACKAGE@/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
